package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag112;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT112Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT112Creator mt112Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt112Creator= (MT112Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt112Creator.getChequeNumber();
        mt112Creator.set("21", tag21Value);
    }

}
